

#ifndef F_CPU
#define F_CPU 20000000UL // 20 MHz clock speed
#endif


#include <avr/io.h> //Library to handle avr inputs and outputs
#include <util/delay.h> // Library to add delays. Necessary for blinking.


int main(void)
{
    DDRB = DDRB | (1 << PB2);      // DDRB Port B Data Direction Register. Selects direction of pins
								   // In this case PB2 is an ouptut
   
    
    while (1) 
    {
		//Set PB2 output to 1
		PORTB = PORTB | (1<<PB2);
		//Wait for 1000ms
		_delay_ms(100);

		//Set PB2 ouput to 0
		PORTB = PORTB & ~(1<<PB2);

		//Wait for 1000ms
		_delay_ms(100);
        
    }
}
